path: /build/build/libelf-virtual-3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/libelf -pv -t
  - |
    emerge -j ${JOBS} --nodeps virtual/libelf
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libelf && luet-portage --dir
    /pkgdir/libelf virtual/libelf
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:afdf9e06951188cba5b0d469396d9153f0b1ffec0894fa001124084f2e815dd1
  package:
    name: libelf
    version: "3"
    category: virtual
    requires:
    - name: macaroni-funtoo-race2
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for libelf.so.1 provider dev-libs/elfutils
    uri:
    - ""
    buildtimestamp: 2023-08-15 12:03:44.497149888 +0000 UTC m=+48.441076267
    labels:
      RDEPEND: '>=dev-libs/elfutils-0.187'
      emerge.packages: virtual/libelf
      kit: core-kit
      original.package.name: virtual/libelf
      original.package.slot: "0"
      original.package.version: "3"
    treedir: /build/packages
  package_dir: /pkgdir/libelf
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3d81b9bffbf501cb960f3b0dbde07a0b44d1231eedd87f50a3020d66c06aa9c8
compressiontype: zstd
files:
- var/db/pkg/virtual/libelf-3/BUILD_TIME
- var/db/pkg/virtual/libelf-3/CATEGORY
- var/db/pkg/virtual/libelf-3/CBUILD
- var/db/pkg/virtual/libelf-3/CFLAGS
- var/db/pkg/virtual/libelf-3/CHOST
- var/db/pkg/virtual/libelf-3/COUNTER
- var/db/pkg/virtual/libelf-3/CXXFLAGS
- var/db/pkg/virtual/libelf-3/DEFINED_PHASES
- var/db/pkg/virtual/libelf-3/DESCRIPTION
- var/db/pkg/virtual/libelf-3/EAPI
- var/db/pkg/virtual/libelf-3/FEATURES
- var/db/pkg/virtual/libelf-3/IUSE
- var/db/pkg/virtual/libelf-3/IUSE_EFFECTIVE
- var/db/pkg/virtual/libelf-3/KEYWORDS
- var/db/pkg/virtual/libelf-3/LDFLAGS
- var/db/pkg/virtual/libelf-3/LICENSE
- var/db/pkg/virtual/libelf-3/PF
- var/db/pkg/virtual/libelf-3/RDEPEND
- var/db/pkg/virtual/libelf-3/SIZE
- var/db/pkg/virtual/libelf-3/SLOT
- var/db/pkg/virtual/libelf-3/USE
- var/db/pkg/virtual/libelf-3/environment.bz2
- var/db/pkg/virtual/libelf-3/libelf-3.ebuild
- var/db/pkg/virtual/libelf-3/repository
package_cacheimage: ""
runtime:
  name: libelf
  version: "3"
  category: virtual
  requires:
  - name: elfutils
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for libelf.so.1 provider dev-libs/elfutils
  uri:
  - ""
  labels:
    RDEPEND: '>=dev-libs/elfutils-0.187'
    emerge.packages: virtual/libelf
    kit: core-kit
    original.package.name: virtual/libelf
    original.package.slot: "0"
    original.package.version: "3"
